### Read data
path.id<-"E:\\Wind Power\\Spline"
sub.id<-"Output"
dir.create(file.path(path.id,sub.id),showWarnings=F)
file.id<-c("ILT1","ILT2","ILT3")

source(file.path(paste(path.id,"\\Code\\mleComp.r",sep="")))

data<-rep(list(data.frame()),3)

for(i in 1:3){
	in.path<-file.path(paste(path.id,"\\Data\\DATA_",file.id[i],".txt",
		sep=""))
	data[[i]]<-read.table(in.path,header=T)
}

v.ILT1<-data[[1]][,1]
v.ILT2<-data[[2]][,1]
v.ILT3<-data[[3]][,1]

### Model selection for the data of ILT1
ll.ILT1.W2<-mle.v_W2(v.ILT1)[[1]]
ll.ILT1.W3<-mle.v_W3(v.ILT1)[[1]]
ll.ILT1.RAY<-mle.v_RAY(v.ILT1)[[1]]
ll.ILT1.LN3<-mle.v_LN3(v.ILT1)[[1]]
ll.ILT1.G3<-mle.v_G3(v.ILT1)[[1]]
ll.ILT1.IG3<-mle.v_IG3(v.ILT1)[[1]]
ll.ILT1<-c(ll.ILT1.W2,ll.ILT1.W3,ll.ILT1.RAY,ll.ILT1.LN3,ll.ILT1.G3,ll.ILT1.IG3)

### Model selection for the data of ILT2
ll.ILT2.W2<-mle.v_W2(v.ILT2)[[1]]
ll.ILT2.W3<-mle.v_W3(v.ILT2)[[1]]
ll.ILT2.RAY<-mle.v_RAY(v.ILT2)[[1]]
ll.ILT2.LN3<-mle.v_LN3(v.ILT2)[[1]]
ll.ILT2.G3<-mle.v_G3(v.ILT2)[[1]]
ll.ILT2.IG3<-mle.v_IG3(v.ILT2)[[1]]
ll.ILT2<-c(ll.ILT2.W2,ll.ILT2.W3,ll.ILT2.RAY,ll.ILT2.LN3,ll.ILT2.G3,ll.ILT2.IG3)

### Model selection for the data of ILT3
ll.ILT3.W2<-mle.v_W2(v.ILT3)[[1]]
ll.ILT3.W3<-mle.v_W3(v.ILT3)[[1]]
ll.ILT3.RAY<-mle.v_RAY(v.ILT3)[[1]]
ll.ILT3.LN3<-mle.v_LN3(v.ILT3)[[1]]
ll.ILT3.G3<-mle.v_G3(v.ILT3)[[1]]
ll.ILT3.IG3<-mle.v_IG3(v.ILT3)[[1]]
ll.ILT3<-c(ll.ILT3.W2,ll.ILT3.W3,ll.ILT3.RAY,ll.ILT3.LN3,ll.ILT3.G3,ll.ILT3.IG3)

SIC<-as.data.frame(rbind(ll.ILT1,ll.ILT2,ll.ILT3))
names(SIC)<-c("W2","W3","RAY","LN3","G3","IG3")

write.table(SIC,paste(path.id,"\\Output\\Table2.txt",sep=""))
