library(VGAM)

mle.y_vs<-function(y,Bf,Bg){
	Bf<-as.matrix(Bf)
	Bg<-as.matrix(Bg)
	n<-length(y)
	p.beta<-dim(Bf)[2]
	p.theta<-dim(Bg)[2]
	lik.GEV<-function(param){
		beta<-param[1:p.beta]
		theta<-param[(p.beta+1):(p.beta+p.theta)]
		xi<-param[p.beta+p.theta+1]
		mu<-Bf%*%beta
		sigma<-exp(Bg%*%theta)
		-sum(log(dgev(y,mu,sigma,xi)+10^-50))
	}
	param.init<-rep(1,(p.beta+p.theta+1))
	mle.opt<-nlm(lik.GEV,param.init,hessian=T,stepmax=1,iterlim=1000)
	mle.est<-mle.opt$est
	mle.cov<-matrix()
	mle.res<-mle.opt$code
	mle.itr<-mle.opt$iterations
	lik.mle<-0
	mle.hess.eigen<-c()

	cond<-1

	if(all(is.finite(mle.opt$hessian)) & !any(is.na(mle.opt$hessian)) & rcond(mle.opt$hessian)>.Machine$double.eps){
		mle.hess.eigen<-eigen(mle.opt$hessian,only.values=T)$values
		if(any(mle.hess.eigen<=.Machine$double.eps)){
			cond<-0}
	}
	else{
		cond<-0}
	
	if(mle.res<4 & mle.itr>10 & cond){
		mle.cov<-solve(mle.opt$hessian)
		mu<-Bf%*%mle.est[1:p.beta]
		sigma<-exp(Bg%*%mle.est[(p.beta+1):(p.beta+p.theta)])
		xi<-mle.est[(p.beta+p.theta+1)]
		lik.mle<-sum(log(dgev(y,mu,sigma,xi)+10^-100))-(p.beta+p.theta+1)/2*log(n)
	}
	else{
		mle.cov<-matrix(0,p.beta+p.theta+1,p.beta+p.theta+1)
		mle.res<-10
	}

	list(lik.mle,mle.est,mle.cov,mle.res)
}
