### Read data
path.id<-"E:\\Wind Power\\Spline"
sub.id<-"Output"
dir.create(file.path(path.id,sub.id),showWarnings=F)
file.id<-c("ILT1","ILT2","ILT3")

data<-rep(list(data.frame()),3)
v<-rep(list(c()),3)
s<-rep(list(c()),3)
y<-rep(list(c()),3)

for(i in 1:3){
	in.path<-file.path(paste(path.id,"\\Data\\DATA_",file.id[i],".txt",
		sep=""))
	data[[i]]<-read.table(in.path,header=T)
	v[[i]]<-data[[i]][,1]
	s[[i]]<-data[[i]][,2]
	y[[i]]<-data[[i]][,3]
}

# Figure 2 10-min average wind speed vs 10-min maximum load
for(i in 1:3){
	out.path<-file.path(paste(path.id,"\\Output\\Fig2_",file.id[i],
		".pdf",sep=""))
	pdf(out.path)
	plot(v[[i]],y[[i]],xlim=c(4,25),ann=F)
	title(xlab="10-min average wind speed (m/s)",
		ylab="10-min maximum load (MN-m)")
	dev.off()
}

# Figure 3 10-min average wind speed vs 10-min standard devation of wind speed
for(i in 1:3){
	out.path<-file.path(paste(path.id,"\\Output\\Fig3_",file.id[i],
		".pdf",sep=""))
	pdf(out.path)
	plot(s[[i]],y[[i]],xlim=c(0,3.5),ann=F)
	title(xlab="standard deviation during 10-min(m/s)",
		ylab="10-min maximum load (MN-m)")
	dev.off()
}

# Figure 4 10-min average wind speed vs 10-min standard devation of wind speed
for(i in 1:3){
	out.path<-file.path(paste(path.id,"\\Output\\Fig4_",file.id[i],
		".pdf",sep=""))
	pdf(out.path)
	plot(v[[i]],s[[i]],xlim=c(4,25),ylim=c(0,3.5),ann=F)
	title(xlab="10-min average wind speed (m/s)",
		ylab="standard deviation during 10-min(m/s)")
	dev.off()
}
