path.id<-"E:\\Wind Power\\Spline"
sub.id<-"Output"
dir.create(file.path(path.id,sub.id),showWarnings=F)

bin.est<-read.table(file.path(paste(path.id,"\\Output\\Dist_sim_bin.txt",
	sep="")))
spline.est<-read.table(file.path(paste(path.id,"\\Output\\Dist_sim_spline.txt",
	sep="")))
obs.est<-read.table(file.path(paste(path.id,"\\Output\\Dist_sim_obs.txt",
	sep="")))

bin.q1<-quantile(bin.est[,1],c(0.025,0.5,0.975))
bin.q2<-quantile(bin.est[,2],c(0.025,0.5,0.975))
bin.q1[2]<-mean(bin.est[,1])
bin.q2[2]<-mean(bin.est[,2])

spline.q1<-quantile(bin.est[,1],c(0.025,0.5,0.975))
spline.q2<-quantile(bin.est[,2],c(0.025,0.5,0.975))
spline.q1[2]<-mean(spline.est[,1])
spline.q2[2]<-mean(spline.est[,2])

obs.q1<-quantile(obs.est[,1],c(0.025,0.5,0.975))
obs.q2<-quantile(obs.est[,2],c(0.025,0.5,0.975))
obs.q1[2]<-mean(obs.est[,1])
obs.q2[2]<-mean(obs.est[,2])

### Figure 9 (b)
pdf(paste(path.id,"\\Output\\Fig9(b).pdf",sep=""))
par(mar=c(6,5,5,3))
boxplot(bin.est[,1],spline.est[,1],obs.est[,1],xlim=c(0.5,3.5),
	ylim=c(2.4,3.6),xaxt="n",ylab="Extreme load level (MN-m)",xlab="",
	lwd=1.95,cex.lab=2.3,cex.axis=1.8)
axis(1,at=1:3,labels=c("Binning","Spline","Obs"),las=1,cex.axis=2.0)
dev.off()

### Figure 9 (c)
pdf(paste(path.id,"\\Output\\Fig9(c).pdf",sep=""))
par(mar=c(6,5,5,3))
boxplot(bin.est[,2],spline.est[,2],obs.est[,2],xlim=c(0.5,3.5),
	ylim=c(2.4,3.6),xaxt="n",ylab="Extreme load level (MN-m)",xlab="",
	lwd=1.95,cex.lab=2.3,cex.axis=1.8)
axis(1,at=1:3,labels=c("Binning","Spline","Obs"),las=1,cex.axis=2.0)
dev.off()
